Bug 151497 - telnetd support for LINEMODE not enabled at compile time
telnetd support for LINEMODE not enabled at compile time
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: dff
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-03-18 12:45 EST by David Lehman
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-19 17:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lehman 2005-03-18 12:45:42 EST
Description of problem:
We define KLUDGELINEMODE but not LINEMODE when building telnetd. As a result,
clients can't set linemode.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. telnet into an RHEL3-U4 box
2. try to set linemode ('~^]mode line<enter>')
Actual results:
kludgelinemode is entered, which "features" unsupressable echo of characters

Expected results:
"mode line" should cause telnet to enter linemode

Additional info:
Comment 1 Harald Hoyer 2005-04-19 09:56:38 EDT
The kernel has no EXTPROC and TIOCPKT_IOCTL support. A patch like:
is needed.
Comment 2 Ernie Petrides 2005-04-19 17:01:00 EDT
Please consider working with the Upstream Linux community (LKML) to add
the functionality you desire.  Since this support is not Upstream in
either 2.4 or 2.6, we're not likely to consider adding it in RHEL3 a

Note You need to log in before you can comment on or make changes to this bug.